ClusterNest API
To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.
To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.
Integer numbers.
Identity providers whose tokens may authenticate directly against this cluster's Prometheus-compatible endpoint. Replaces the current list, so include every source you want to keep.
Scaling multiplier for cluster capacity. Values above 3 are only available on the advanced tier.
Custom domain to serve the Prometheus-compatible endpoint on, instead of the generated default hostname.
IP addresses or subnets allowed to reach the Prometheus endpoint
Weekly recurring window (UTC) during which maintenance may be performed on this cluster. Must be at least 2 hours (120 minutes) long. Leave unset to allow maintenance at any time.
The following optional suffixes are supported: h (hour), d (day), w (week), y (year). If suffix isn't set, then the duration is counted in months
Sizing/pricing tier the cluster runs at.
Cortex version to run.
curl https://api.clusternest.com/cluster/prometheus/1 \
--request PUT \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"tier": "basic",
"maintenance_window": {
"day_of_week": "monday",
"start_time": "",
"end_time": ""
},
"version": "1.20.1",
"capacity_multiplier": 3,
"custom_hostname": "",
"ip_allowlist": [
"0.0.0.0/0",
"::/0"
],
"retention_period": "90d",
"auth_sources": []
}'
{
"id": 1,
"organization_id": 1,
"name": "string",
"tier": "basic",
"state": "creating",
"created_at": "2026-10-30T23:22:59.173Z",
"updated_at": "2026-10-30T23:22:59.173Z",
"maintenance_window": {
"day_of_week": "monday",
"start_time": "string",
"end_time": "string"
},
"version": "1.20.1",
"capacity_multiplier": 3,
"url": "string",
"custom_hostname": "string",
"ip_allowlist": [
"0.0.0.0/0",
"::/0"
],
"retention_period": "90d",
"auth_sources": [
{
"type": "jwt",
"name": "string",
"issuer": "string",
"jwks_url": "string",
"oidc_discovery_url": "string",
"audiences": [],
"ca_cert": "string",
"grants": [
{
"role": "admin",
"claims": {}
}
],
"ui_login": false,
"client_id": "string",
"client_type": "public",
"client_secret_set": false,
"token_auth_method": "client_secret_basic",
"scope": "openid profile email"
}
]
}